<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_161) on Fri Nov 23 22:08:06 CET 2018 -->
<title>Class Hierarchy</title>
<meta name="date" content="2018-11-23">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="fr/epita/maths/test/package-tree.html">fr.epita.maths.test</a>, </li>
<li><a href="fr/epita/quiz/datamodel/package-tree.html">fr.epita.quiz.datamodel</a>, </li>
<li><a href="fr/epita/quiz/resources/package-tree.html">fr.epita.quiz.resources</a>, </li>
<li><a href="fr/epita/quiz/services/data/package-tree.html">fr.epita.quiz.services.data</a>, </li>
<li><a href="fr/epita/quiz/services/data/em/package-tree.html">fr.epita.quiz.services.data.em</a>, </li>
<li><a href="fr/epita/quiz/services/web/api/transport/package-tree.html">fr.epita.quiz.services.web.api.transport</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">fr.epita.quiz.services.data.em.<a href="fr/epita/quiz/services/data/em/GenericDAO.html" title="class in fr.epita.quiz.services.data.em"><span class="typeNameLink">GenericDAO</span></a>&lt;T&gt;</li>
<li type="circle">fr.epita.quiz.services.data.<a href="fr/epita/quiz/services/data/GenericDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">GenericDAO</span></a>&lt;T&gt;
<ul>
<li type="circle">fr.epita.quiz.services.data.<a href="fr/epita/quiz/services/data/MCQChoiceDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">MCQChoiceDAO</span></a></li>
<li type="circle">fr.epita.quiz.services.data.<a href="fr/epita/quiz/services/data/QuestionDAO.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">QuestionDAO</span></a></li>
</ul>
</li>
<li type="circle">fr.epita.quiz.datamodel.<a href="fr/epita/quiz/datamodel/MCQChoice.html" title="class in fr.epita.quiz.datamodel"><span class="typeNameLink">MCQChoice</span></a></li>
<li type="circle">fr.epita.quiz.services.web.api.transport.<a href="fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport"><span class="typeNameLink">MCQChoiceMessage</span></a></li>
<li type="circle">fr.epita.quiz.datamodel.<a href="fr/epita/quiz/datamodel/Question.html" title="class in fr.epita.quiz.datamodel"><span class="typeNameLink">Question</span></a></li>
<li type="circle">fr.epita.quiz.services.web.api.transport.<a href="fr/epita/quiz/services/web/api/transport/QuestionMessage.html" title="class in fr.epita.quiz.services.web.api.transport"><span class="typeNameLink">QuestionMessage</span></a></li>
<li type="circle">fr.epita.quiz.resources.<a href="fr/epita/quiz/resources/QuestionResource.html" title="class in fr.epita.quiz.resources"><span class="typeNameLink">QuestionResource</span></a></li>
<li type="circle">fr.epita.quiz.services.data.<a href="fr/epita/quiz/services/data/QuizDataservice.html" title="class in fr.epita.quiz.services.data"><span class="typeNameLink">QuizDataservice</span></a></li>
<li type="circle">fr.epita.maths.test.<a href="fr/epita/maths/test/TestDI.html" title="class in fr.epita.maths.test"><span class="typeNameLink">TestDI</span></a></li>
<li type="circle">fr.epita.maths.test.<a href="fr/epita/maths/test/TestJPA.html" title="class in fr.epita.maths.test"><span class="typeNameLink">TestJPA</span></a></li>
<li type="circle">fr.epita.maths.test.<a href="fr/epita/maths/test/TestJPAWithEMF.html" title="class in fr.epita.maths.test"><span class="typeNameLink">TestJPAWithEMF</span></a></li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">fr.epita.quiz.services.data.<a href="fr/epita/quiz/services/data/Commitable.html" title="interface in fr.epita.quiz.services.data"><span class="typeNameLink">Commitable</span></a>&lt;T&gt;</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
